Page MenuHomePhabricator

Make EventBus extension support configurable per-event/stream EventServiceName
Closed, ResolvedPublic

Description

To help with the migration from eventlogging-service-eventbus to eventgate-main, we'd like to be able to switch event production between the services via mediawiki-config, rather than EventBus extension code changes. We'll need a config map that maps between the event stream name to the EventServiceName (e.g. 'eventbus', 'eventgate-analytics', 'eventgate-main', etc.).

Event Timeline

Ottomata created this task.May 8 2019, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2019, 4:53 PM
Ottomata renamed this task from Make EventBus extension support configurable per-event/stream EventServiceNmae to Make EventBus extension support configurable per-event/stream EventServiceName.May 8 2019, 4:53 PM

Change 509092 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Make EventFactory and event destination configurable.

https://gerrit.wikimedia.org/r/509092

fdans triaged this task as High priority.May 9 2019, 4:32 PM
fdans moved this task from Incoming to Modern Event Platform on the Analytics board.
Ottomata moved this task from Backlog to Next Up on the EventBus board.May 14 2019, 1:34 PM

Change 510187 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Allow configuring the event destination per streeam.

https://gerrit.wikimedia.org/r/510187

Change 510299 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] [EventBus] Add eventgate-main event service.

https://gerrit.wikimedia.org/r/510299

Change 510187 merged by Ppchelko:
[mediawiki/extensions/EventBus@master] Allow configuring the event destination per streeam.

https://gerrit.wikimedia.org/r/510187

Change 509092 abandoned by Ottomata:
[EventBus] Make EventFactory and event destination configurable.

https://gerrit.wikimedia.org/r/509092

Change 509092 restored by Ppchelko:
[EventBus] Make EventFactory and event destination configurable.

https://gerrit.wikimedia.org/r/509092

Change 510299 merged by Ottomata:
[operations/mediawiki-config@master] [EventBus] Add eventgate-main event service.

https://gerrit.wikimedia.org/r/510299

Pchelolo closed this task as Resolved.Jun 5 2019, 7:23 AM

The event destinations are configurable now, we can resolve this.

Change 509092 merged by jenkins-bot:
[operations/mediawiki-config@master] [EventBus] Add wgEventServiceStreamConfig and switch 2 topics in group0

https://gerrit.wikimedia.org/r/509092

Mentioned in SAL (#wikimedia-operations) [2019-06-05T16:11:22Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add wgEventServiceStreamConfig and switch 2 topics in group0 T222822 (duration: 00m 56s)

Change 514523 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] [EventBus] use eventgate-main for 2 events on all wikis

https://gerrit.wikimedia.org/r/514523